org.apache.lucene.queryparser.surround.query

## Class SrndPrefixQuery

- java.lang.Object
- - org.apache.lucene.queryparser.surround.query.SrndQuery
  - - org.apache.lucene.queryparser.surround.query.SimpleTerm
    - - org.apache.lucene.queryparser.surround.query.SrndPrefixQuery

- All Implemented Interfaces:
    Cloneable, Comparable<SimpleTerm>, DistanceSubQuery

      public class SrndPrefixQuery
      extends SimpleTerm

  Query that matches String prefixes

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.queryparser.surround.query.SimpleTerm

      `SimpleTerm.MatchingTermVisitor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SrndPrefixQuery(String prefix, boolean quoted, char truncator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Term` | `getLucenePrefixTerm(String fieldName)`
    `String` | `getPrefix()`
    `char` | `getSuffixOperator()`
    `protected void` | `suffixToString(StringBuilder r)`
    `String` | `toStringUnquoted()`
    `void` | `visitMatchingTerms(IndexReader reader, String fieldName, SimpleTerm.MatchingTermVisitor mtv)`

    - ### Methods inherited from class org.apache.lucene.queryparser.surround.query.SimpleTerm

      `addSpanQueries, compareTo, distanceSubQueryNotAllowed, getFieldOperator, getQuote, makeLuceneQueryFieldNoBoost, toString`

    - ### Methods inherited from class org.apache.lucene.queryparser.surround.query.SrndQuery

      `clone, equals, getWeight, getWeightOperator, getWeightString, hashCode, isFieldsSubQueryAcceptable, isWeighted, makeLuceneQueryField, setWeight, weightToString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SrndPrefixQuery

          public SrndPrefixQuery(String prefix,
                                 boolean quoted,
                                 char truncator)

  - ### Method Detail

    - #### getPrefix

          public String getPrefix()

    - #### getSuffixOperator

          public char getSuffixOperator()

    - #### getLucenePrefixTerm

          public Term getLucenePrefixTerm(String fieldName)

    - #### toStringUnquoted

          public String toStringUnquoted()

      Specified by:
        `toStringUnquoted` in class `SimpleTerm`

    - #### suffixToString

          protected void suffixToString(StringBuilder r)

      Overrides:
        `suffixToString` in class `SimpleTerm`

    - #### visitMatchingTerms

          public void visitMatchingTerms(IndexReader reader,
                                         String fieldName,
                                         SimpleTerm.MatchingTermVisitor mtv)
                                  throws IOException

      Specified by:
        `visitMatchingTerms` in class `SimpleTerm`
      Throws:
        `IOException`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.